import { z } from 'zod'
import type { DeviceOrder } from '~/models/device-order'

const DeviceOrderSchema = z.object({
  encounter_id: z.number({ required_error: 'Kode harus diisi' }),
  doctor_id: z.number({ required_error: 'Kode harus diisi' }),
})

type DeviceOrderFormData = z.infer<typeof DeviceOrderSchema> & Partial<DeviceOrder>

export { DeviceOrderSchema }
export type { DeviceOrderFormData }
